Skip to main content
POST
Search transcripts

Authorizations

Authorization
string
header
required

Voiceflow bearer token

Query Parameters

projectID
string
required

The ID of the project to operate on.

Body

application/json
take
number
default:20

The maximum number of results to return, used for pagination.

Required range: 1 <= x <= 100
skip
integer
default:0

The number of results to skip, used for pagination.

Required range: 0 <= x <= 9007199254740991
endDate
string<date-time>

When provided, only transcripts created at or before this ISO 8601 timestamp are returned.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
version
enum<string>

When provided, only transcripts from draft or published conversations are returned.

Available options:
draft,
published
filters
object[]
sessionID
string

When provided, only transcripts from this conversation session are returned.

startDate
string<date-time>

When provided, only transcripts created at or after this ISO 8601 timestamp are returned.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
environmentAlias
string

When provided, only transcripts from the environment with this alias are returned.

Response

200 - application/json

Returns the transcripts matching the search, each with its session and user IDs, timestamps, recording URL, and any properties and evaluation results attached to it. The conversation logs are not included.

transcripts
object[]
required